# Topsis-Gurshan-102203008

**Topsis-Gurshan-102203008** is a Python package that implements the **TOPSIS** (Technique for Order of Preference by Similarity to Ideal Solution) method. This technique is commonly used for decision-making and multi-criteria decision analysis (MCDA) to rank and select alternatives based on various criteria.

## Features

- Implements the **TOPSIS** method for decision-making.
- Helps rank alternatives based on similarity to an ideal solution.
- Easy to use and integrate into any Python project.

## Installation

You can install the package directly from PyPI using pip:

```bash
pip install Topsis-Gurshan-102203008
```

## Usage

To use **Topsis-Gurshan-102203008**, you will need to prepare your data in either an Excel (`.xlsx`) or CSV (`.csv`) format. The first column should contain the names/labels of the alternatives, and the subsequent columns should contain the criteria values. The command line interface can be used as follows:

```bash
python 102203008.py <InputDataFile> <Weights> <Impacts> <ResultFileName>
```



